Subject: Re: Mercurial 0.3 vs git benchmarks

From: Florian Weimer <[email-masked]>
Date: Wed, 27 Apr 2005 22:47:32 +0200

* H. Peter Anvin:

> Only if you read every single file in each directory every time.  I 
> thought mutt did header indexing and thus didn't need to do that.

There was a patch for Mutt which implemented header indexing, but it
was buggy and had to be removed (from Debian).  After that, directory
sorting (actually, it's a merge sort 8-) practically became mandatory
on ext3 with directory hashing.

I think that in the meantime, the has been integrated into upstream
CVS (I don't know if it's been released as a developer snapshot,
though).  The header indexing patch may have been revived for Debian,
I think it was fixed recently.